---
promtail_version: "2.2.1"
promtail_dist_url: "https://github.com/grafana/loki/releases/download/v{{ promtail_version }}/promtail-linux-{{ go_arch }}.zip"
promtail_config_dir: /etc/promtail
promtail_config_file_sd_dir: "{{ promtail_config_dir }}/file_sd"
promtail_config_file: "{{ promtail_config_dir }}/promtail.yml"

promtail_system_user: promtail
promtail_system_group: "{{ promtail_system_user }}"
promtail_user_additional_groups: "adm"

promtail_install_dir: /opt/promtail
promtail_tmp_dir: /tmp

promtail_log_level: info
# One of: debug, info, warn, error

promtail_config_server:
  http_listen_port: 9080


promtail_loki_password: ''

promtail_config_clients:
#  - url: "https://promtailpush.openstack.naturalis.io/loki/api/v1/push"
#    external_labels:
#      host: "{{ ansible_hostname }}"
#      service: "{{ service }}"
#      environment: "{{ env | default('production') }}"
#    basic_auth:
#      username: promtail
#      password: "{{ promtail_loki_password }}"
#  - url: "https://loki.analytics.naturalis.io/loki/api/v1/push"
#    external_labels:
#      host: "{{ ansible_hostname }}"
#      service: "{{ service }}"
#      environment: "{{ env | default('production') }}"
#    basic_auth:
#      username: loki
#      password: "{{ promtail_loki_password }}"

promtail_positions_directory: /var/lib/promtail
promtail_config_positions:
  filename: "{{ promtail_positions_directory }}/positions.yml"

promtail_config_scrape_configs:
  - job_name: journal
    journal:
      json: false
      max_age: 12h
      path: /var/log/journal
      labels:
        job: systemd-journal
    relabel_configs:
      - source_labels: ['__journal__systemd_unit']
        target_label: 'unit'
#  - job_name: system
#    static_configs:
#    - targets:
#        - localhost
#      labels:
#        job: varlogs
#        __path__: /var/log/*log

promtail_scrape_syslog: false

promtail_config_include_default_file_sd_config: true

promtail_config_default_file_sd_config:
  - job_name: file_sd
    file_sd_configs:
      - files:
          - "{{ promtail_config_file_sd_dir }}/*.yml"
          - "{{ promtail_config_file_sd_dir }}/*.yaml"
          - "{{ promtail_config_file_sd_dir }}/*.json"

promtail_target_config: {}
#  promtail_target_config:
#    sync_period: "10s"
